Subject: Re: Cross-compile for aarch64

From: Lorenzo Bivens <[email-masked]>
Date: Fri, 12 Jun 2020 18:10:34 +0000

Hi Andy,

I suspect you are starting your build on the wrong place.

You should probably try to use mkimage instead. 
Here you have the docs on how to build an ISO with this tool https://wiki.alpinelinux.org/wiki/How_to_make_a_custom_ISO_image_with_mkimage
The same applies to other targets.

After you have your build user, set the arm profile, and run something like
sh mkimage.sh --tag c3.11 --outdir ~ --arch aarch64 --repository http://dl-cdn.alpinelinux.org/alpine/edge/main  --profile $PROFILENAME

Success!
Lorenzo Bivens - KD2JMR

            From: ~alpine/devel on behalf of Andy Ruddock
Sent: Friday, June 12, 2020 5:21 AM
To: ~alpine/[email-masked]
Subject: Cross-compile for aarch64

Hi,

I'm new to Alpine Linux, trying to cross-compile the kernel for

raspberry pi4.

I've started off by cloning aports and then running

$ scripts/bootstrap.sh aarch64

This runs for a while and ends up with the following (snipped for brevity).

>>> libgcc*: Running postcheck for libgcc

>>> libstdc++*: Running split function libcxx...

nm:

'/home/andyr/src/aports/main/gcc/pkg/gcc-aarch64/usr/lib/libstdc++.so.*': No

such file

>>> ERROR: libstdc++*: libcxx failed

>>> ERROR: gcc-aarch64*: prepare_subpackages failed

>>> ERROR: gcc-aarch64: rootpkg failed

>>> gcc-aarch64: Uninstalling dependencies...

(1/11) Purging .makedepends-gcc-aarch64 (20200612.113700)

(2/11) Purging paxmark (0.12-r0)

I don't know where to go from here, not having experience with abuild.

Help/pointers gratefully accepted.

-- 

Andy Ruddock

------------

[email-masked] (OpenPGP Key ID 0xB0324245)